<?php
$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_31767d7ad58e706dbf47" . "b7a51a0fe6c4" => base64_decode("Y29" . "1bn" . "Q="), "_4d2b763" . "f00ba1e8" . "001879ba" . "79a84926" . "9" => base64_decode("YXJyYXlf" . "aW50ZXJz" . "ZWN0X2tl" . "eQ=="), "_c336a736f98472e69eb" . "00017dda5a17e" => base64_decode("dHJpZ2dlcl" . "9lcnJvcg=="), "_cce0d019091a193c2ea098ab902d88" . "21" => base64_decode("QXR0ZW1wdCB0byBzYXZlI" . "GF0dGVuZGVlcyB3aXRoIG" . "5vIGxpc3RfaWQh"), "_f5e940c614f5" . "5e70f210df830" . "6ffbd17" => base64_decode("YXJyYXlf" . "ZmlsbF9r" . "ZXlz"), "_a8391504b805b5d572e9b" . "1a5c5d0169e" => base64_decode("Tm8gbGlzdCB" . "pZA=="), "_39b6f979f725" . "d2d066951011e" . "1554c14" => base64_decode("YXJyYX" . "lfZGlm" . "Zl9rZX" . "k="), "_1d5727e95902d6ca0a94581ac" . "86acf26" => base64_decode("QXR0ZW1wdCB0byBsb2F" . "kIGF0dGVuZGVlcyBsaX" . "N0IHdpdGggbm8gbGlzd" . "F9pZA=="), "_c06c961f393742ecfd52b7" . "2263ac9470" => base64_decode("aW5" . "0dm" . "Fs"));
abstract class CalendarEventParticipants extends ErrorHandler
{
    protected $is_list_loaded;
    protected $list_id = false;
    protected $users = array();
    protected $deleted_users = array();
    protected $new_users = array();
    protected $old_users = array();
    
    
    
    
    protected $event;
    public function __construct(CalendarObject $event)
    {
        $this->event = $event;
        $this->is_list_loaded = false;
    }
    
    
    
    
    
    
    public function SetUsers($_c9cc2169cfc80b4728d6b39dfdcba6bb)
    {
        
        
        $_c9cc2169cfc80b4728d6b39dfdcba6bb = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_f5e940c614f55e70f2" . "10df8306ffbd17"]($_c9cc2169cfc80b4728d6b39dfdcba6bb, 1);
        
        
        $this->deleted_users = $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_39b6f97" . "9f725d2d" . "06695101" . "1e1554c1" . "4"]($this->users, $_c9cc2169cfc80b4728d6b39dfdcba6bb);
        $this->new_users = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_39b6f979f7" . "25d2d066951" . "011e1554c14"]($_c9cc2169cfc80b4728d6b39dfdcba6bb, $this->users);
        $this->old_users = $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4d2b763" . "f00ba1e8" . "001879ba" . "79a84926" . "9"]($this->users, $_c9cc2169cfc80b4728d6b39dfdcba6bb);
        $this->is_list_loaded = true;
    }
    public function Load()
    {
        if (!$this->list_id) {
            throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_1d5727e95902d6ca0a94581ac86acf" . "26"]);
        }
        $this->deleted_users = array();
        $this->new_users = array();
        $this->old_users = array();
        $this->is_list_loaded = true;
    }
    public function SetListId($_0ea4e32b57963ac0cb3057e03e9aef64)
    {
        $this->list_id = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_c06c961f393742" . "ecfd52b72263ac9" . "470"]($_0ea4e32b57963ac0cb3057e03e9aef64);
        if ($_0ea4e32b57963ac0cb3057e03e9aef64 === null) {
            $this->is_list_loaded = true;
        }
    }
    
    
    
    
    
    
    public function isAttendeesChanged()
    {
        return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_31767d7ad58e706dbf47" . "b7a51a0fe6c4"]($this->new_users) > 0 || $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_31767d7ad58e706dbf47" . "b7a51a0fe6c4"]($this->deleted_users) > 0;
    }
    public function Save()
    {
        if (!$this->list_id) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_c336a736f98472e69eb00017dda" . "5a17e"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_a8391504b805b5d5" . "72e9b1a5c5d0169e"]);
            throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_cce0d019091a193c2e" . "a098ab902d8821"]);
        }
        $this->SaveNewUsers();
        $this->DeleteUnattendedUsers();
        foreach ($this->new_users as $user_id => $_c96f552040dea8086bf8bdd70059542f) {
            $this->users[$user_id] = $_c96f552040dea8086bf8bdd70059542f;
        }
        
        
        $this->users = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_39b6f979f725d2" . "d066951011e1554" . "c14"]($this->users, $this->deleted_users);
        
        
    }
    public function GetNewUsers()
    {
        if (!$this->is_list_loaded) {
            $this->Load();
        }
        return $this->new_users;
    }
    public function GetAllUsers()
    {
        if (!$this->is_list_loaded) {
            $this->Load();
        }
        return (array) $this->users;
    }
    public function GetOldUsers()
    {
        if (!$this->is_list_loaded) {
            $this->Load();
        }
        return (array) $this->old_users;
    }
    public function GetDeletedUsers()
    {
        if (!$this->is_list_loaded) {
            $this->Load();
        }
        return (array) $this->deleted_users;
    }
    protected abstract function SaveNewUsers();
    protected abstract function DeleteUnattendedUsers();
}